> For the complete documentation index, see [llms.txt](https://help.security.gallagher.com/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.security.gallagher.com/knowledge-hub/configuration-client/licensable-features/rest-api/overrides.md).

# Overrides

Using the Overrides REST API feature, you can override the following Command Centre items:

* Doors
* Inputs
* Outputs
* Access Zones
* Alarm Zones
* Fence Zones
* Macros
* Lockers

REST API supports all the available override options in Command Centre for these items.

Practical uses for this REST API feature include:

* opening a door from a video management platform
* triggering an open door override from an intercom or phone system
* escalating a high voltage override of an alarm zone based on triggers from a separate system
* triggering a macro to perform any number of overrides within Command Centre
* performing a lockdown from a third party emergency system.

You need the following licence string to use the Overrides REST API feature:

`RESTOverride=1`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.security.gallagher.com/knowledge-hub/configuration-client/licensable-features/rest-api/overrides.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
